Subject: bug#48184: Evaluating (current-guix) causes segfault

From: Ludovic Courtès <[email-masked]>
Date: Tue, 04 May 2021 22:02:14 +0200

Hi,

Leo Prikler <[email-masked]> skribis:

> Am Montag, den 03.05.2021, 14:18 +0200 schrieb Leo Prikler:
>> Am Montag, den 03.05.2021, 13:59 +0300 schrieb David Dashyan:
>> > David Dashyan writes:
>> > 
>> >  Here my guix describe output:
>> >    guix 065d2cd
>> >      repository URL: https://git.savannah.gnu.org/git/guix.git
>> >      branch: master
>> >      commit: 065d2cd6ced96ddb38c15a46f798488f61660a33
>> > 
>> >  What I did?
>> >  $ guile
>> > > ,use (gnu packages package-management)
>> > > (current-guix)
>> >  $ Segmentation fault
>> I think you ought to run the above inside a `guix repl' rather than
>> your personal guile, where it yields a package.  As for why it
>> doesn't
>> when launched from your personal guile, let me get back to you after
>> some investigation.
> Follow-up, it appears we're abusing libgit in a manner similar to the
> one fixed by 5b35c9adc899749a0bd96a0e6d2c3bbf88e38963.

I think 5b35c9adc899749a0bd96a0e6d2c3bbf88e38963 fixes the issue.

David, can you try the same thing in ‘guix repl’ instead of ‘guile’?  It
works for me.

(When you’re just running ‘guile’, you’re likely loading modules from
/run/current-system/profile/share/guile, which may come from an older
revision than the one ‘guix describe’ prints.)

Thanks,
Ludo’.